Subject: ssh error 'The descriptor is a file, not a socket'
From: David Starks-Browning <[email-masked]>
To: Kris Huber <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 2 Nov 2001 00:47:59 +0000

On Thursday 1 Nov 01, Kris Huber writes:
> Hello,
> 
> I'm trying to use cygwin's sshd to allow my Linux box to log into my win98
> computer using the 'ssh host' command.  The authentication goes OK, but
> after 'entering interactive session' I get the following error on the client
> side:
> 	'getpeername failed: The descriptor is a file, not a socket'
> 
> I've also seen 'getsockname failed: The descriptor is a file, not a socket'
> with some variations of the ssh command options.

Try a snapshot, it should be fixed there.  (But snapshots may
introduce other problems...)

Cheers,
David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/